//===========================================================================
//
// Name:			Biostud
// Function:		chat lines for Biostud
// Author:			Daniel "Fusion" Schneider
//===========================================================================

//example initial chats
chat "biostud"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		"Oh, look at my niec tan!";
		// 0 = bot name
		// 4 = Level's title
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"GTG, repeair's calling!";
		// 0 = bot name
		// 4 = Level's title
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"Wow, nice flowers!";
		// 0 = bot name
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Finally!";
		"No not yet!";
		// 0 = bot name
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Yey, guess my implants helped a little this time!";
		// 0 = bot name
		// 3 = opponent in last place
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Implant Malfunction!";
		"Implant Error!";
		// 0 = bot name
		// 2 = opponent in first place
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Hey! I was admiering the scenery!";
		// 0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Ouch, got me there!";
		"OW!";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Damn, can you learn me how to dodge bullets like that?";
		// 0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"I can see the light!";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"Fall cushion implants malfunction!";
		"Fall cushion implants error!";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Oh, dear! I'm melting!";
		// 0 = enemy name;
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"What? I was born in this s**t!";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Breathing unit malfunction!";
		"Breathing unit error!";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"Aimbot implant malfunction!";
		"Aimbot implant error!";
		// 0 = enemy name
	} //end type


	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Wow, using the gauntlet are we?";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"Itchy!";
		"Bullet time implant malfunction!";
		"Bullet time implant error!";
// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Big gun!";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"I'm not dead!";
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"I'm dead!";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Wow, corky!";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"I'm speachless!";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"Can you smell it?";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		"Wow, you gotta teach me that move!";
	
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"Wha, I couldn't even do that worse than you, even if I tried.";
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"Wow, you gotta teach me that move!";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"Where are you hiding ",0, "?";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{	
		"Roar!";
		"Anyone seen Fusion lately?";
		"Fusion rules what some people call earth.";
		"Fusing Plasma... That's where I want to be!";
		"Blobby Goo is the best map in this world!";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end biostud chat



