//===========================================================================
// Name:			claw_t.c
// Function:		Claw Chat file
// Programmer:		Daniel "Fusion" Schneider (ds-fusion@telia.com)
//===========================================================================

chat "claw"
{
	#include "teamplay.h"
	//
	type "game_enter"
	{
		"Monitoring Unit Malfunction, Need change of cirquits.";
		"Grrr.";
	} //end type

	type "game_exit"
	{
		"It is all over. This unit will go home now.";
		"Grrr.";
	} //end type

	type "level_start"
	{
		"What's that smell? Oh, It's this unit...";
		"Grrr.";
	} //end type

	type "level_end"
	{
		"This unit is very wet. This unit needs a hairdryer...";
		"Grrr.";
	} //end type

	type "level_end_victory"
	{
		"Grrr. This unit no like loosing. Oh, this unit won?";
	} //end type

	type "level_end_lose"
	{
		"This unit likes winning. Oh, this unit lost?!";
	} //end type

	//================================================================
	//================================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Grrr! You interrupt this unit talking, ", 0, ".";
		"Grrr! You think blue balloon mean 'shoot this unit now', ", 0, "? Yes?";
		//0 = shooter
	} //end type

	type "damaged_nokill" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Grrr! You hurt claw. You not nice person, ", 0, ".";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Grrr!";
		//0 = opponent
	} //end type

	type "enemy_suicide"
	{
		"Claw can have your weapon, ", 0, "? Yes?";
		//0 = enemy
	} //end type

	//================================================================
	//================================================================
	
	type "death_telefrag"
	{
		"Unit Malfunction.";
	} //end type

	type "death_lava"
	{
		"Grrr!";
		"Unit Malfunction.";
	} //end type

	type "death_slime"
	{
		"Grrr!";
		"Unit Malfunction.";
		"Error. Error. Blobby Goo in cirquits.";
	} //end type

	type "death_drown"
	{
		"Grrr!";
		"Wet hair is very difficult to swim with. This unit must get razors.";
	} //end type

	type "death_suicide"
	{
		"Error. Error.";
		"Grrr!";
	} //end type

	type "death_gauntlet"
	{
		"Error. Error.";
		"Grrr!";
	} //end type

	type "death_rail"
	{
		"Eyeball Fracture Detected. Error. Error.";
		"Grrr!";
		"Note to self: Keep an eye on ", 0, ".";
	} //end type

	type "death_bfg"
	{
		0, ", you use this weapon because you are not good warrior? Yes?";
		"Grrr!";
	} //end type

	type "death_insult"
	{
		"Grrr!";
	} //end type

	type "death_praise"
	{
		"Error. Error.";
		"Wow!";
	} //end type

	//================================================================
	//================================================================

	type "kill_Rail" 
	{
		0, " got eye injury? Yes?";
		"Grrr!";
	} //end type

	type "kill_gauntlet"
	{
		"Grrr!";
	} //end type

	type "kill_telefrag"
	{
		"Grrr!";
	} //end type

	type "kill_insult"
	{
		"Grrr!";
	} //end type

	type "kill_praise"
	{
		"Error. Error.";
		"Wow!";
	} //end type

	//================================================================
	//================================================================

	type "random_insult"
	{
		1, " got eye injury? Yes?";
	} //end type

	type "random_misc"
	{
		1, " got eye injury? Yes?";
		"Fusion is very cool guy, very.";
		"fusion.q3center.com is a very good website. Yes?";
	} //end type

} //end chat claw

