//===========================================================================
// Name:			jurael_c.c
// Function:		Jurael Bot Skill file
// Programmer:		Daniel "Fusion" Schneider
//===========================================================================

#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME						"Jurael"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.7
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/jurael_w.c"
	CHARACTERISTIC_AIM_SKILL					0.7
	CHARACTERISTIC_AIM_ACCURACY					0.7
	CHARACTERISTIC_VIEW_FACTOR					0.7
	CHARACTERISTIC_VIEW_MAXCHANGE					150
	CHARACTERISTIC_REACTIONTIME					1.50

	CHARACTERISTIC_CHAT_FILE					"bots/jurael_t.c"
	CHARACTERISTIC_CHAT_NAME					"jurael"
	CHARACTERISTIC_CHAT_CPM						100
	CHARACTERISTIC_CHAT_INSULT					0.1
	CHARACTERISTIC_CHAT_MISC					0.1
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.1
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.1
	CHARACTERISTIC_CHAT_KILL					0.1
	CHARACTERISTIC_CHAT_DEATH					0.1
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.1
	CHARACTERISTIC_CHAT_HITTALKING				0.1
	CHARACTERISTIC_CHAT_HITNODEATH				0.1
	CHARACTERISTIC_CHAT_HITNOKILL					0.1
	CHARACTERISTIC_CHAT_RANDOM					0.1
	CHARACTERISTIC_CHAT_REPLY					0.1

	CHARACTERISTIC_CROUCHER						0.0
	CHARACTERISTIC_JUMPER						1.0
	CHARACTERISTIC_WEAPONJUMPING					1.0
	CHARACTERISTIC_GRAPPLE_USER					0.5

	CHARACTERISTIC_ITEMWEIGHTS					"bots/jurael_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.95
	CHARACTERISTIC_VENGEFULNESS					0.1
	CHARACTERISTIC_CAMPER						0.5

	CHARACTERISTIC_EASY_FRAGGER					0.8
	CHARACTERISTIC_ALERTNESS					0.50

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.5
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_SKILL_BFG10K			1.0

	CHARACTERISTIC_FIRETHROTTLE					0.5
}

skill 2
{
	CHARACTERISTIC_NAME						"Jurael"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.7
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/jurael_w.c"
	CHARACTERISTIC_AIM_SKILL					0.7
	CHARACTERISTIC_AIM_ACCURACY					0.7
	CHARACTERISTIC_VIEW_FACTOR					0.7
	CHARACTERISTIC_VIEW_MAXCHANGE					250
	CHARACTERISTIC_REACTIONTIME					0.90

	CHARACTERISTIC_CHAT_FILE					"bots/jurael_t.c"
	CHARACTERISTIC_CHAT_NAME					"jurael"
	CHARACTERISTIC_CHAT_CPM						200
	CHARACTERISTIC_CHAT_INSULT					0.1
	CHARACTERISTIC_CHAT_MISC					0.1
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.1
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.1
	CHARACTERISTIC_CHAT_KILL					0.1
	CHARACTERISTIC_CHAT_DEATH					0.1
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.1
	CHARACTERISTIC_CHAT_HITTALKING				0.1
	CHARACTERISTIC_CHAT_HITNODEATH				0.1
	CHARACTERISTIC_CHAT_HITNOKILL					0.1
	CHARACTERISTIC_CHAT_RANDOM					0.1
	CHARACTERISTIC_CHAT_REPLY					0.1

	CHARACTERISTIC_CROUCHER						0.0
	CHARACTERISTIC_JUMPER						1.0
	CHARACTERISTIC_WEAPONJUMPING					1.0
	CHARACTERISTIC_GRAPPLE_USER					0.5

	CHARACTERISTIC_ITEMWEIGHTS					"bots/jurael_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.95
	CHARACTERISTIC_VENGEFULNESS					0.1
	CHARACTERISTIC_CAMPER						0.5

	CHARACTERISTIC_EASY_FRAGGER					0.8
	CHARACTERISTIC_ALERTNESS					0.70

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.5
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_SKILL_BFG10K			1.0

	CHARACTERISTIC_FIRETHROTTLE					1.0
}

skill 3
{
	CHARACTERISTIC_NAME						"Jurael"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.8
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/jurael_w.c"
	CHARACTERISTIC_AIM_SKILL					0.8
	CHARACTERISTIC_AIM_ACCURACY					0.8
	CHARACTERISTIC_VIEW_FACTOR					0.8
	CHARACTERISTIC_VIEW_MAXCHANGE					300
	CHARACTERISTIC_REACTIONTIME					0.75

	CHARACTERISTIC_CHAT_FILE					"bots/jurael_t.c"
	CHARACTERISTIC_CHAT_NAME					"jurael"
	CHARACTERISTIC_CHAT_CPM						300
	CHARACTERISTIC_CHAT_INSULT					0.1
	CHARACTERISTIC_CHAT_MISC					0.1
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.1
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.1
	CHARACTERISTIC_CHAT_KILL					0.1
	CHARACTERISTIC_CHAT_DEATH					0.1
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.1
	CHARACTERISTIC_CHAT_HITTALKING				0.1
	CHARACTERISTIC_CHAT_HITNODEATH				0.1
	CHARACTERISTIC_CHAT_HITNOKILL					0.1
	CHARACTERISTIC_CHAT_RANDOM					0.1
	CHARACTERISTIC_CHAT_REPLY					0.1

	CHARACTERISTIC_CROUCHER						0.0
	CHARACTERISTIC_JUMPER						1.0
	CHARACTERISTIC_WEAPONJUMPING					1.0
	CHARACTERISTIC_GRAPPLE_USER					0.5

	CHARACTERISTIC_ITEMWEIGHTS					"bots/jurael_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.95
	CHARACTERISTIC_VENGEFULNESS					0.1
	CHARACTERISTIC_CAMPER						0.5

	CHARACTERISTIC_EASY_FRAGGER					0.8
	CHARACTERISTIC_ALERTNESS					0.80

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.5
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_SKILL_BFG10K			1.0

	CHARACTERISTIC_FIRETHROTTLE					1.0
}

skill 4
{
	CHARACTERISTIC_NAME						"Jurael"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					0.9
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/jurael_w.c"
	CHARACTERISTIC_AIM_SKILL					0.9
	CHARACTERISTIC_AIM_ACCURACY					0.9
	CHARACTERISTIC_VIEW_FACTOR					0.9
	CHARACTERISTIC_VIEW_MAXCHANGE					330
	CHARACTERISTIC_REACTIONTIME					0.5

	CHARACTERISTIC_CHAT_FILE					"bots/jurael_t.c"
	CHARACTERISTIC_CHAT_NAME					"jurael"
	CHARACTERISTIC_CHAT_CPM						400
	CHARACTERISTIC_CHAT_INSULT					0.1
	CHARACTERISTIC_CHAT_MISC					0.1
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.1
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.1
	CHARACTERISTIC_CHAT_KILL					0.1
	CHARACTERISTIC_CHAT_DEATH					0.1
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.1
	CHARACTERISTIC_CHAT_HITTALKING				0.1
	CHARACTERISTIC_CHAT_HITNODEATH				0.1
	CHARACTERISTIC_CHAT_HITNOKILL					0.1
	CHARACTERISTIC_CHAT_RANDOM					0.1
	CHARACTERISTIC_CHAT_REPLY					0.1

	CHARACTERISTIC_CROUCHER						0.0
	CHARACTERISTIC_JUMPER						1.0
	CHARACTERISTIC_WEAPONJUMPING					1.0
	CHARACTERISTIC_GRAPPLE_USER					0.5

	CHARACTERISTIC_ITEMWEIGHTS					"bots/jurael_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.95
	CHARACTERISTIC_VENGEFULNESS					0.1
	CHARACTERISTIC_CAMPER						0.5

	CHARACTERISTIC_EASY_FRAGGER					0.9
	CHARACTERISTIC_ALERTNESS					0.85

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.5
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_SKILL_BFG10K			1.0

	CHARACTERISTIC_FIRETHROTTLE					1.0
}

skill 5
{
	CHARACTERISTIC_NAME						"Jurael"
	CHARACTERISTIC_GENDER						"male"
	CHARACTERISTIC_ATTACK_SKILL					1.0
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/jurael_w.c"
	CHARACTERISTIC_AIM_SKILL					1.0
	CHARACTERISTIC_AIM_ACCURACY					1.0
	CHARACTERISTIC_VIEW_FACTOR					0.9
	CHARACTERISTIC_VIEW_MAXCHANGE					360
	CHARACTERISTIC_REACTIONTIME					0.1

	CHARACTERISTIC_CHAT_FILE					"bots/jurael_t.c"
	CHARACTERISTIC_CHAT_NAME					"jurael"
	CHARACTERISTIC_CHAT_CPM						500
	CHARACTERISTIC_CHAT_INSULT					0.1
	CHARACTERISTIC_CHAT_MISC					0.1
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.1
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.1
	CHARACTERISTIC_CHAT_KILL					0.1
	CHARACTERISTIC_CHAT_DEATH					0.1
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.1
	CHARACTERISTIC_CHAT_HITTALKING				0.1
	CHARACTERISTIC_CHAT_HITNODEATH				0.1
	CHARACTERISTIC_CHAT_HITNOKILL					0.1
	CHARACTERISTIC_CHAT_RANDOM					0.1
	CHARACTERISTIC_CHAT_REPLY					0.1

	CHARACTERISTIC_CROUCHER						0.0
	CHARACTERISTIC_JUMPER						1.0
	CHARACTERISTIC_WEAPONJUMPING					1.0
	CHARACTERISTIC_GRAPPLE_USER					0.5

	CHARACTERISTIC_ITEMWEIGHTS					"bots/jurael_i.c"
	CHARACTERISTIC_AGGRESSION					1.0
	CHARACTERISTIC_SELFPRESERVATION				0.95
	CHARACTERISTIC_VENGEFULNESS					0.1
	CHARACTERISTIC_CAMPER						0.5

	CHARACTERISTIC_EASY_FRAGGER					0.9
	CHARACTERISTIC_ALERTNESS					0.9

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	1.0
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.5
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.7
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			1.0
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		1.0
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_SKILL_BFG10K			1.0

	CHARACTERISTIC_FIRETHROTTLE					1.0
}