//===========================================================================
// Name:			claw_c.c
// Function:		Claw
// Programmer:		Daniel "Fusion" Schneider (ds-fusion@telia.com)
//===========================================================================

#include "chars.h"

skill 1
{
	CHARACTERISTIC_NAME						"Claw"
	CHARACTERISTIC_GENDER						"it"
	CHARACTERISTIC_ATTACK_SKILL					0.4
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/claw_w.c"
	CHARACTERISTIC_AIM_SKILL					0.4
	CHARACTERISTIC_AIM_ACCURACY					0.5
	CHARACTERISTIC_VIEW_FACTOR					0.4
	CHARACTERISTIC_VIEW_MAXCHANGE					90
	CHARACTERISTIC_REACTIONTIME					1.20

	CHARACTERISTIC_CHAT_FILE					"bots/claw_t.c"
	CHARACTERISTIC_CHAT_NAME					"claw"
	CHARACTERISTIC_CHAT_CPM						10
	CHARACTERISTIC_CHAT_INSULT					0.02
	CHARACTERISTIC_CHAT_MISC					0.05
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.05
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.05
	CHARACTERISTIC_CHAT_KILL					0.05
	CHARACTERISTIC_CHAT_DEATH					0.05
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.05
	CHARACTERISTIC_CHAT_HITTALKING				0.05
	CHARACTERISTIC_CHAT_HITNODEATH				0.05
	CHARACTERISTIC_CHAT_HITNOKILL					0.05
	CHARACTERISTIC_CHAT_RANDOM					0.05
	CHARACTERISTIC_CHAT_REPLY					0.05

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.75
	CHARACTERISTIC_WEAPONJUMPING					0.75
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/claw_i.c"
	CHARACTERISTIC_AGGRESSION					0.25
	CHARACTERISTIC_SELFPRESERVATION				0.5
	CHARACTERISTIC_VENGEFULNESS					0.25
	CHARACTERISTIC_CAMPER						0.55

	CHARACTERISTIC_EASY_FRAGGER					0.55
	CHARACTERISTIC_ALERTNESS					0.55

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.3
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.5
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.6
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.8
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.5
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.5
	CHARACTERISTIC_AIM_SKILL_BFG10K			0.6

	CHARACTERISTIC_FIRETHROTTLE				0.5
}

skill 2
{
	CHARACTERISTIC_NAME						"Claw"
	CHARACTERISTIC_GENDER						"it"
	CHARACTERISTIC_ATTACK_SKILL					0.5
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/claw_w.c"
	CHARACTERISTIC_AIM_SKILL					0.5
	CHARACTERISTIC_AIM_ACCURACY					0.5
	CHARACTERISTIC_VIEW_FACTOR					0.5
	CHARACTERISTIC_VIEW_MAXCHANGE					100
	CHARACTERISTIC_REACTIONTIME					0.90

	CHARACTERISTIC_CHAT_FILE					"bots/claw_t.c"
	CHARACTERISTIC_CHAT_NAME					"claw"
	CHARACTERISTIC_CHAT_CPM						15
	CHARACTERISTIC_CHAT_INSULT					0.02
	CHARACTERISTIC_CHAT_MISC					0.05
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.05
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.05
	CHARACTERISTIC_CHAT_KILL					0.05
	CHARACTERISTIC_CHAT_DEATH					0.05
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.05
	CHARACTERISTIC_CHAT_HITTALKING				0.05
	CHARACTERISTIC_CHAT_HITNODEATH				0.05
	CHARACTERISTIC_CHAT_HITNOKILL					0.05
	CHARACTERISTIC_CHAT_RANDOM					0.05
	CHARACTERISTIC_CHAT_REPLY					0.05

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.75
	CHARACTERISTIC_WEAPONJUMPING					0.75
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/claw_i.c"
	CHARACTERISTIC_AGGRESSION					0.25
	CHARACTERISTIC_SELFPRESERVATION				0.5
	CHARACTERISTIC_VENGEFULNESS					0.25
	CHARACTERISTIC_CAMPER						0.65

	CHARACTERISTIC_EASY_FRAGGER					0.65
	CHARACTERISTIC_ALERTNESS					0.65

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.3
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.5
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.6
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.8
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.5
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.5
	CHARACTERISTIC_AIM_SKILL_BFG10K			0.6

	CHARACTERISTIC_FIRETHROTTLE				0.6
}

skill 3
{
	CHARACTERISTIC_NAME						"Claw"
	CHARACTERISTIC_GENDER						"it"
	CHARACTERISTIC_ATTACK_SKILL					0.6
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/claw_w.c"
	CHARACTERISTIC_AIM_SKILL					0.4
	CHARACTERISTIC_AIM_ACCURACY					0.5
	CHARACTERISTIC_VIEW_FACTOR					0.4
	CHARACTERISTIC_VIEW_MAXCHANGE					110
	CHARACTERISTIC_REACTIONTIME					0.50

	CHARACTERISTIC_CHAT_FILE					"bots/claw_t.c"
	CHARACTERISTIC_CHAT_NAME					"claw"
	CHARACTERISTIC_CHAT_CPM						17
	CHARACTERISTIC_CHAT_INSULT					0.02
	CHARACTERISTIC_CHAT_MISC					0.05
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.05
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.05
	CHARACTERISTIC_CHAT_KILL					0.05
	CHARACTERISTIC_CHAT_DEATH					0.05
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.05
	CHARACTERISTIC_CHAT_HITTALKING				0.05
	CHARACTERISTIC_CHAT_HITNODEATH				0.05
	CHARACTERISTIC_CHAT_HITNOKILL					0.05
	CHARACTERISTIC_CHAT_RANDOM					0.05
	CHARACTERISTIC_CHAT_REPLY					0.05

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.75
	CHARACTERISTIC_WEAPONJUMPING					0.75
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/claw_i.c"
	CHARACTERISTIC_AGGRESSION					0.25
	CHARACTERISTIC_SELFPRESERVATION				0.5
	CHARACTERISTIC_VENGEFULNESS					0.25
	CHARACTERISTIC_CAMPER						0.70

	CHARACTERISTIC_EASY_FRAGGER					0.70
	CHARACTERISTIC_ALERTNESS					0.70

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.5
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.3
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.5
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.6
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			0.8
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.5
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.5
	CHARACTERISTIC_AIM_SKILL_BFG10K			0.6

	CHARACTERISTIC_FIRETHROTTLE				0.7
}

skill 4
{
	CHARACTERISTIC_NAME						"Claw"
	CHARACTERISTIC_GENDER						"it"
	CHARACTERISTIC_ATTACK_SKILL					0.8
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/claw_w.c"
	CHARACTERISTIC_AIM_SKILL					0.9
	CHARACTERISTIC_AIM_ACCURACY					0.9
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE					130
	CHARACTERISTIC_REACTIONTIME					0.25

	CHARACTERISTIC_CHAT_FILE					"bots/claw_t.c"
	CHARACTERISTIC_CHAT_NAME					"claw"
	CHARACTERISTIC_CHAT_CPM						20
	CHARACTERISTIC_CHAT_INSULT					0.02
	CHARACTERISTIC_CHAT_MISC					0.05
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.05
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.05
	CHARACTERISTIC_CHAT_KILL					0.05
	CHARACTERISTIC_CHAT_DEATH					0.05
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.05
	CHARACTERISTIC_CHAT_HITTALKING				0.05
	CHARACTERISTIC_CHAT_HITNODEATH				0.05
	CHARACTERISTIC_CHAT_HITNOKILL					0.05
	CHARACTERISTIC_CHAT_RANDOM					0.05
	CHARACTERISTIC_CHAT_REPLY					0.05

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.75
	CHARACTERISTIC_WEAPONJUMPING					0.75
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/claw_i.c"
	CHARACTERISTIC_AGGRESSION					0.25
	CHARACTERISTIC_SELFPRESERVATION				0.5
	CHARACTERISTIC_VENGEFULNESS					0.25
	CHARACTERISTIC_CAMPER						0.75

	CHARACTERISTIC_EASY_FRAGGER					0.75
	CHARACTERISTIC_ALERTNESS					0.75

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.8
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.7
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.5
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.6
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.5
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		0.7
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_SKILL_BFG10K			0.6

	CHARACTERISTIC_FIRETHROTTLE				0.9
}

skill 5
{
	CHARACTERISTIC_NAME						"Claw"
	CHARACTERISTIC_GENDER						"it"
	CHARACTERISTIC_ATTACK_SKILL					1.0
	CHARACTERISTIC_WEAPONWEIGHTS					"bots/claw_w.c"
	CHARACTERISTIC_AIM_SKILL					1.0
	CHARACTERISTIC_AIM_ACCURACY					1.0
	CHARACTERISTIC_VIEW_FACTOR					1.0
	CHARACTERISTIC_VIEW_MAXCHANGE					180
	CHARACTERISTIC_REACTIONTIME					0.1

	CHARACTERISTIC_CHAT_FILE					"bots/claw_t.c"
	CHARACTERISTIC_CHAT_NAME					"claw"
	CHARACTERISTIC_CHAT_CPM						30
	CHARACTERISTIC_CHAT_INSULT					0.02
	CHARACTERISTIC_CHAT_MISC					0.05
	CHARACTERISTIC_CHAT_STARTENDLEVEL				0.05
	CHARACTERISTIC_CHAT_ENTEREXITGAME				0.05
	CHARACTERISTIC_CHAT_KILL					0.05
	CHARACTERISTIC_CHAT_DEATH					0.05
	CHARACTERISTIC_CHAT_ENEMYSUICIDE				0.05
	CHARACTERISTIC_CHAT_HITTALKING				0.05
	CHARACTERISTIC_CHAT_HITNODEATH				0.05
	CHARACTERISTIC_CHAT_HITNOKILL					0.05
	CHARACTERISTIC_CHAT_RANDOM					0.05
	CHARACTERISTIC_CHAT_REPLY					0.05

	CHARACTERISTIC_CROUCHER						0.05
	CHARACTERISTIC_JUMPER						0.75
	CHARACTERISTIC_WEAPONJUMPING					0.75
	CHARACTERISTIC_GRAPPLE_USER					0.05

	CHARACTERISTIC_ITEMWEIGHTS					"bots/claw_i.c"
	CHARACTERISTIC_AGGRESSION					0.25
	CHARACTERISTIC_SELFPRESERVATION				0.5
	CHARACTERISTIC_VENGEFULNESS					0.25
	CHARACTERISTIC_CAMPER						0.75

	CHARACTERISTIC_EASY_FRAGGER					0.75
	CHARACTERISTIC_ALERTNESS					0.75

	CHARACTERISTIC_AIM_ACCURACY_MACHINEGUN		0.9
	CHARACTERISTIC_AIM_ACCURACY_SHOTGUN			0.8
	CHARACTERISTIC_AIM_ACCURACY_ROCKETLAUNCHER	0.5
	CHARACTERISTIC_AIM_ACCURACY_GRENADELAUNCHER	0.6
	CHARACTERISTIC_AIM_ACCURACY_LIGHTNING		0.7
	CHARACTERISTIC_AIM_ACCURACY_PLASMAGUN		0.5
	CHARACTERISTIC_AIM_ACCURACY_RAILGUN			1.0
	CHARACTERISTIC_AIM_ACCURACY_BFG10K			0.5
	CHARACTERISTIC_AIM_SKILL_ROCKETLAUNCHER		0.5
	CHARACTERISTIC_AIM_SKILL_GRENADELAUNCHER		0.8
	CHARACTERISTIC_AIM_SKILL_PLASMAGUN			0.7
	CHARACTERISTIC_AIM_SKILL_BFG10K			0.7

	CHARACTERISTIC_FIRETHROTTLE				1.0
}

